Bug 1504491 - amdgpu: [powerplay] min_core_set_clock not set
Summary: amdgpu: [powerplay] min_core_set_clock not set
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-20 03:30 UTC by Ralf Corsepius
Modified: 2018-05-29 11:49 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:49:50 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2017-10-20 03:30:18 UTC
Description of problem:

I found a long series of these kernel messages in dmesg and on the bootup console:

# dmesg | grep powerplay
[    3.896341] amdgpu: [powerplay] amdgpu: powerplay sw initialized
[    5.058364] amdgpu: [powerplay] min_core_set_clock not set
[    5.059021] amdgpu: [powerplay] min_core_set_clock not set
[    5.060027] amdgpu: [powerplay] min_core_set_clock not set
[    5.194748] amdgpu: [powerplay] min_core_set_clock not set
[    5.198598] amdgpu: [powerplay] min_core_set_clock not set
[    5.209919] amdgpu: [powerplay] min_core_set_clock not set
[    5.211240] amdgpu: [powerplay] min_core_set_clock not set
[    5.212253] amdgpu: [powerplay] min_core_set_clock not set
[    5.213242] amdgpu: [powerplay] min_core_set_clock not set
[    5.214250] amdgpu: [powerplay] min_core_set_clock not set
[    5.215247] amdgpu: [powerplay] min_core_set_clock not set
[    5.216299] amdgpu: [powerplay] min_core_set_clock not set
[    5.217250] amdgpu: [powerplay] min_core_set_clock not set
[    5.218260] amdgpu: [powerplay] min_core_set_clock not set
[    5.219257] amdgpu: [powerplay] min_core_set_clock not set
[    5.286614] amdgpu: [powerplay] min_core_set_clock not set
[    5.287391] amdgpu: [powerplay] min_core_set_clock not set
[    5.288392] amdgpu: [powerplay] min_core_set_clock not set
[    5.289386] amdgpu: [powerplay] min_core_set_clock not set
[    5.309218] amdgpu: [powerplay] min_core_set_clock not set
[   35.656169] amdgpu: [powerplay] min_core_set_clock not set
[   35.658594] amdgpu: [powerplay] min_core_set_clock not set
[   35.661617] amdgpu: [powerplay] min_core_set_clock not set
[   35.664600] amdgpu: [powerplay] min_core_set_clock not set
[   35.771245] amdgpu: [powerplay] min_core_set_clock not set
[   35.773797] amdgpu: [powerplay] min_core_set_clock not set
[   35.776803] amdgpu: [powerplay] min_core_set_clock not set
[   35.779817] amdgpu: [powerplay] min_core_set_clock not set
[   35.781943] amdgpu: [powerplay] min_core_set_clock not set
[   35.783838] amdgpu: [powerplay] min_core_set_clock not set
[   35.785813] amdgpu: [powerplay] min_core_set_clock not set
[   35.787811] amdgpu: [powerplay] min_core_set_clock not set
[   35.792671] amdgpu: [powerplay] min_core_set_clock not set
[   35.793881] amdgpu: [powerplay] min_core_set_clock not set
[   35.794863] amdgpu: [powerplay] min_core_set_clock not set
[   35.795827] amdgpu: [powerplay] min_core_set_clock not set
[   37.477985] amdgpu: [powerplay] min_core_set_clock not set
[   37.482462] amdgpu: [powerplay] min_core_set_clock not set
[   38.613029] amdgpu: [powerplay] min_core_set_clock not set
[   38.614885] amdgpu: [powerplay] min_core_set_clock not set
[   38.616334] amdgpu: [powerplay] min_core_set_clock not set
[   38.617152] amdgpu: [powerplay] min_core_set_clock not set
[  638.684433] amdgpu: [powerplay] min_core_set_clock not set


A google search led me to https://patchwork.kernel.org/patch/9859377/,
which as I understand, wants to tell these warning are harmless and the result of using an uninitialized variable inside of the kernel.

Version-Release number of selected component (if applicable):
kernel-4.13.5-200.fc26.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot on a mobo w/ amdgpu GPU.

Actual results:
The kernel message mentioned above being issued upon booting.

Additional info:
This is on a brand-new HP Microserver Gen10 x3216 w/ "VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Carrizo (rev 87)" (PCI id 1002:9874)

Comment 1 Hin-Tak Leung 2017-10-28 22:35:46 UTC
me too.

VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 98e4 (rev c1) (prog-if 00 [VGA controller])

Comment 2 Paul Lambert 2017-11-01 18:56:34 UTC
This problem exists on kernel 4.13.11 too using AMD -A10 / AMD-V / Radeon R5

Comment 3 andrew 2017-12-06 22:45:39 UTC
aside of the fact that i'm getting black screen with APU87000p/Carrizo - i have this same message too.

Dec 06 17:11:28 hp kernel: Console: switching to colour frame buffer device 200x56
Dec 06 17:11:28 hp kernel: amdgpu: [powerplay] min_core_set_clock not set
Dec 06 17:11:28 hp kernel: amdgpu: [powerplay] min_core_set_clock not set
Dec 06 17:11:28 hp kernel: amdgpu: [powerplay] min_core_set_clock not set
Dec 06 17:11:28 hp kernel: amdgpu: [powerplay] min_core_set_clock not set
Dec 06 17:11:28 hp kernel: amdgpu 0000:00:01.0: fb0: amdgpudrmfb frame buffer device
Dec 06 17:11:28 hp kernel: amdgpu: [powerplay] min_core_set_clock not set
Dec 06 17:11:28 hp kernel: kfd kfd: Allocated 3944480 bytes on gart for device(1002:9874)
Dec 06 17:11:28 hp kernel: amdkfd: adding doorbell packet type capability
Dec 06 17:11:28 hp kernel: kfd kfd: added device (1002:9874)
Dec 06 17:11:28 hp kernel: [drm] Initialized amdgpu 3.18.0 20150101 for 0000:00:01.0 on minor 0

Comment 4 Paul Lambert 2017-12-07 02:54:51 UTC
That can be one of the side effects.  My system boots pure amdgpu.  However, if are getting an incomplete boot or no screen then you need to blacklist radeon.  The incorrect driver is loading.

This is the output of dnf list | grep amdgpu that I get.
xorg-x11-drv-amdgpu.x86_64               1.4.0-1.fc26           updates

I get the following when using dnf list | grep radeon
radeontool.x86_64                        1.6.3-9.fc26                    fedora 
radeontop.x86_64                         1.0-2.fc26                      fedora 

The latest Carrizo driver was just released on 10/30 version 17,30.  This probably fixes some device driver things but the Fedora problem is the kernel code is not current.  The patch in the reporter's comment is the kernel fix.  I would rebuild the kernel driver myself but cannot find the tarball for hwmgr device.  I can find the collection of sources fow hwmgr but there are many files and they would need to manually copied to local system.

Comment 5 Laura Abbott 2018-02-28 03:58:29 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Paul Lambert 2018-02-28 15:57:52 UTC
Below is the most recent output regarding the amdgpu device on 4.15.4-300.fc27.x86_64 #1 SMP Mon Feb 19 23:31:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux.  Based on this it appears this bug has been fixed.


dmesg | grep amdgpu:
[    1.974754] [drm] amdgpu: 512M of VRAM memory ready
[    1.974756] [drm] amdgpu: 3072M of GTT memory ready.
[    1.974901] amdgpu 0000:00:01.0: amdgpu: using MSI.
[    1.974922] [drm] amdgpu: irq initialized.
[    1.974939] amdgpu: [powerplay] amdgpu: powerplay sw initialized

Comment 7 Ralf Corsepius 2018-02-28 18:17:56 UTC
With kernel-4.15.4-300.fc27.x86_64, I do not see the messages above, anymore, but now I am observing other messages:

# dmesg | grep amdgpu
[    4.793593] [drm] amdgpu kernel modesetting enabled.
[    4.856072] fb: switching to amdgpudrmfb from EFI VGA
[    4.859136] amdgpu 0000:00:01.0: VRAM: 512M 0x000000F400000000 - 0x000000F41FFFFFFF (512M used)
[    4.859146] amdgpu 0000:00:01.0: GTT: 1024M 0x0000000000000000 - 0x000000003FFFFFFF
[    4.859385] [drm] amdgpu: 512M of VRAM memory ready
[    4.859393] [drm] amdgpu: 3072M of GTT memory ready.
[    4.859714] amdgpu 0000:00:01.0: amdgpu: using MSI.
[    4.859771] [drm] amdgpu: irq initialized.
[    4.859814] amdgpu: [powerplay] amdgpu: powerplay sw initialized
[    4.863177] amdgpu 0000:00:01.0: fence driver on ring 0 use gpu addr 0x0000000000400080, cpu addr 0x00000000fb27b844
[    4.863292] amdgpu 0000:00:01.0: fence driver on ring 1 use gpu addr 0x0000000000400100, cpu addr 0x0000000062f16c5f
[    4.863373] amdgpu 0000:00:01.0: fence driver on ring 2 use gpu addr 0x0000000000400180, cpu addr 0x00000000e139b31e
[    4.863467] amdgpu 0000:00:01.0: fence driver on ring 3 use gpu addr 0x0000000000400200, cpu addr 0x00000000ae263e2d
[    4.863537] amdgpu 0000:00:01.0: fence driver on ring 4 use gpu addr 0x0000000000400280, cpu addr 0x0000000079015330
[    4.863623] amdgpu 0000:00:01.0: fence driver on ring 5 use gpu addr 0x0000000000400300, cpu addr 0x000000003f1ef8c0
[    4.863696] amdgpu 0000:00:01.0: fence driver on ring 6 use gpu addr 0x0000000000400380, cpu addr 0x00000000c3741ffb
[    4.863777] amdgpu 0000:00:01.0: fence driver on ring 7 use gpu addr 0x0000000000400400, cpu addr 0x000000009ee79cad
[    4.863847] amdgpu 0000:00:01.0: fence driver on ring 8 use gpu addr 0x0000000000400480, cpu addr 0x0000000038609eb5
[    4.863904] amdgpu 0000:00:01.0: fence driver on ring 9 use gpu addr 0x0000000000400520, cpu addr 0x000000003a107e68
[    4.867391] amdgpu 0000:00:01.0: fence driver on ring 10 use gpu addr 0x00000000004005a0, cpu addr 0x000000001c337856
[    4.867502] amdgpu 0000:00:01.0: fence driver on ring 11 use gpu addr 0x0000000000400620, cpu addr 0x00000000024570d8
[    4.868984] amdgpu 0000:00:01.0: fence driver on ring 12 use gpu addr 0x000000f4002956e0, cpu addr 0x0000000021dfd128
[    4.869641] amdgpu 0000:00:01.0: fence driver on ring 13 use gpu addr 0x0000000000400720, cpu addr 0x000000004e9a93dd
[    4.869728] amdgpu 0000:00:01.0: fence driver on ring 14 use gpu addr 0x00000000004007a0, cpu addr 0x000000006c3ac0cd
[    6.091279] fbcon: amdgpudrmfb (fb0) is primary device
[    6.252023] amdgpu 0000:00:01.0: fb0: amdgpudrmfb frame buffer device
[    6.285767] [drm] Initialized amdgpu 3.23.0 20150101 for 0000:00:01.0 on minor 0
[13017.998948] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[13017.999004] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[13018.015580] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[13018.015615] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[13018.048148] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[13018.048193] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[17448.810398] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[17448.810434] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[17448.826925] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[17448.826963] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[17448.859739] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[17448.859821] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[18436.679216] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[18436.679250] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[18436.695867] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[18436.695902] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[18436.729272] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[18436.729354] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[20498.893033] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[20498.893068] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[20498.910127] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[20498.910164] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[20498.942758] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[20498.942840] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[28515.495508] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery reached max voltage
[28515.495583] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[33469.505356] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[33469.505391] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[33469.521959] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[33469.521994] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[33469.553549] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery tried 5 times
[33469.553584] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed
[42941.939180] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery reached max voltage
[42941.939215] [drm:amdgpu_atombios_dp_link_train [amdgpu]] *ERROR* clock recovery failed

Comment 8 Fedora End Of Life 2018-05-03 08:25:48 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 11:49:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.